import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {TyAgentListComponent} from './ty-agent/ty-agent-list/ty-agent-list.component';
import {TyAgentEditComponent} from './ty-agent/ty-agent-edit/ty-agent-edit.component';
import {TySalesmanListComponent} from './ty-salesman/ty-salesman-list/ty-salesman-list.component';
import {TySalesmanEditComponent} from './ty-salesman/ty-salesman-edit/ty-salesman-edit.component';

const routes: Routes = [
  { path: 'agent-edit', component: TyAgentEditComponent },
  { path: 'agent-list', component: TyAgentListComponent },
  { path: 'salesman-list', component: TySalesmanListComponent },
  { path: 'salesman-edit', component: TySalesmanEditComponent },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TuanyouAgentRoutingModule { }
